Bug 1506814 - Host puppet class parameters showing escape and control characters when editing the value of puppet class
Summary: Host puppet class parameters showing escape and control characters when editi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: 6.2.11
Hardware: Unspecified
OS: Linux
medium
medium vote
Target Milestone: 6.4.0
Assignee: orabin
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-26 20:31 UTC by Juan Sebastian Castro
Modified: 2021-12-10 15:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:15:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verified - Puppet Parameter without special char in Host (117.62 KB, image/png)
2018-09-10 12:09 UTC, Jitendra Yejare
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15984 0 None None None 2017-12-27 11:50:13 UTC

Description Juan Sebastian Castro 2017-10-26 20:31:02 UTC
Created attachment 1343973 [details]
Satellite-escape-error.png screenshot

Description of problem:
When editing a smart class parameter's value (using the 'edit host' page), escape backslash (\) and CRLF (\r\n) control characters are shown (like preventing the expansion) for all the data entered on that value field. (see attached Satellite-escape-error.png screenshot)

On the Smart Class page, on the 'specify matchers' section, the values are shown correctly.

Version-Release number of selected component (if applicable):
- satellite-6.2.11-2.0.el7sat.noarch
- puppet-server-3.8.6-2.el7sat.noarch

How reproducible: 1000%
To reproduce the error, edit a host, change puppet environment and check any multiline parameters values.

Apparently this behavior occurs when changing the parameter type to an array or yaml type. 

Actual results:
All values are escaped with \ for " and \r\n where you have CRLF characters.

Expected results:
All the values should be available to be edited without any \ escape character and/or \r\n

Comment 4 orabin 2017-12-27 11:50:11 UTC
Connecting redmine issue http://projects.theforeman.org/issues/15984 from this bug

Comment 5 Satellite Program 2017-12-27 13:01:21 UTC
Upstream bug assigned to orabin

Comment 6 Satellite Program 2017-12-27 13:01:24 UTC
Upstream bug assigned to orabin

Comment 7 Satellite Program 2018-03-20 18:01:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15984 has been resolved.

Comment 11 Jitendra Yejare 2018-09-10 12:09:12 UTC
Created attachment 1482114 [details]
Verified - Puppet Parameter without special char in Host

Verified!

@ Satellite 6.4 snap 20


Steps:
1. Override puppet class parameter with array type and array value.
2. Assigned puppet class to host.
3. Attempt to view and edit the array type class parameter in host.

Observation:

The puppet parameter is shown without any special chars as mentioned in Description of this bug.

Comment 12 Bryan Kearney 2018-10-16 19:15:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.